import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string | null>;
        default: null;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<string>;
        default: string;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    elevatedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, unknown, {
    classes(): CssClass[];
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: null;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    size: string;
    elevated: boolean;
    dark: boolean;
    light: boolean;
    color: string | null;
    disabled: boolean;
} & {}>, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    size: string;
    elevated: boolean;
    dark: boolean;
    light: boolean;
    color: string | null;
    disabled: boolean;
}>;
export default _default;
