import { PropType, Ref } from 'vue';
export declare const validationProps: {
    error: {
        type: PropType<string | null | undefined>;
        default: null;
    };
    hint: {
        type: PropType<string | null | undefined>;
        default: null;
    };
};
export declare function useValidation(error: Ref, hint: Ref): {
    validationBorderClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    hintText: import("vue").ComputedRef<any>;
    validationHintClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
};
