import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    error: {
        type: PropType<string | null | undefined>;
        default: null;
    };
    hint: {
        type: PropType<string | null | undefined>;
        default: null;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    type: {
        type: PropType<string>;
        default: string;
    };
    required: {
        type: PropType<boolean>;
        default: boolean;
    };
    min: {
        type: PropType<string | number | null>;
        default: null;
    };
    max: {
        type: PropType<string | number | null>;
        default: null;
    };
    maxlength: {
        type: PropType<string | number | null>;
        default: null;
    };
    step: {
        type: PropType<number>;
        default: number;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    rightIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    rightIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    rightIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    validationBorderClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    hintText: import("vue").ComputedRef<any>;
    validationHintClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, {
    isFocused: boolean;
}, {
    widthStyle(): {
        [x: string]: any;
    };
    styles(): {
        [x: string]: any;
    };
    fieldClasses(): CssClass[];
    hintClasses(): CssClass[];
}, {
    setFocusStatus(isFocused: boolean): void;
    onFocus(): void;
    onBlur(): void;
    input(e: any): void;
    enter(e: any): void;
    onLeftIconClick(): void;
    onRightIconClick(): void;
    focus(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("blur" | "focus" | "input" | "update:modelValue" | "enter" | "click-left-icon" | "click-right-icon")[], "blur" | "focus" | "input" | "update:modelValue" | "enter" | "click-left-icon" | "click-right-icon", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    error: string | null | undefined;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: string | number | null;
    width: number | null;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    leftIcon: string | null;
    rightIcon: string | null;
    label: string | null;
    hint: string | null | undefined;
    placeholder: string | null;
    type: string;
    required: boolean;
    min: string | number | null;
    max: string | number | null;
    maxlength: string | number | null;
    step: number;
    leftIconClickable: boolean;
    rightIconClickable: boolean;
    leftIconColor: string | null;
    rightIconColor: string | null;
} & {}>, {
    error: string | null | undefined;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: string | number | null;
    width: number | null;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    leftIcon: string | null;
    rightIcon: string | null;
    label: string | null;
    hint: string | null | undefined;
    placeholder: string | null;
    type: string;
    required: boolean;
    min: string | number | null;
    max: string | number | null;
    maxlength: string | number | null;
    step: number;
    leftIconClickable: boolean;
    rightIconClickable: boolean;
    leftIconColor: string | null;
    rightIconColor: string | null;
}>;
export default _default;
