import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<boolean>;
        required: true;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg" | null>;
        default: null;
        validator: (val: string) => boolean;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
}, {
    borderedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, {
    scrollPosition: number;
}, {
    cardStyle(): any;
    cardClasses(): CssClass[];
}, {
    enableScrolling(): void;
    disableScrolling(): void;
    openHandler(): void;
    closeHandler(): void;
    changeValueHandler(val: boolean): void;
    close(): void;
    onClickOutside(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: boolean;
    persistent: boolean;
    size: "sm" | "md" | "lg" | null;
    width: number | null;
} & {}>, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    persistent: boolean;
    size: "sm" | "md" | "lg" | null;
    width: number | null;
}>;
export default _default;
